VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "xTimer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private m_Interval          As Long
Private m_Enabled           As Boolean

'********

Dim WithEvents CTimer       As frmTimer
Attribute CTimer.VB_VarHelpID = -1

'********

Public Event Timer()

Public Property Get Enabled() As Boolean
    
    Enabled = m_Enabled
    
End Property

Public Property Let Enabled(ByVal NewValue As Boolean)
    
    m_Enabled = NewValue
    CTimer.Timer.Enabled = NewValue
    
End Property

Public Property Get Interval() As Long
    
    Interval = m_Interval
    
End Property

Public Property Let Interval(ByVal lNewValue As Long)
    
    m_Interval = lNewValue
    CTimer.Timer.Interval = lNewValue
    
End Property

Private Sub Class_Initialize()
    Set CTimer = New frmTimer
    Interval = 0
    Enabled = True
End Sub

Private Sub Class_Terminate()
    Set CTimer = Nothing
End Sub

Private Sub CTimer_Timer()
    
    RaiseEvent Timer
    
End Sub

